org.apache.tiles.autotag.jsp

## Class JspTemplateGeneratorFactory

- java.lang.Object
- - org.apache.tiles.autotag.jsp.JspTemplateGeneratorFactory

- All Implemented Interfaces:
    TemplateGeneratorFactory

      public class JspTemplateGeneratorFactory
      extends Object
      implements TemplateGeneratorFactory

  Creates a template generator to build JSP code around template models.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspTemplateGeneratorFactory(File classesOutputDirectory, File resourcesOutputDirectory, org.apache.velocity.app.VelocityEngine velocityEngine, TemplateGeneratorBuilder templateGeneratorBuilder)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TemplateGenerator` | `createTemplateGenerator()` Creates a template generator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JspTemplateGeneratorFactory

          public JspTemplateGeneratorFactory(File classesOutputDirectory,
                                             File resourcesOutputDirectory,
                                             org.apache.velocity.app.VelocityEngine velocityEngine,
                                             TemplateGeneratorBuilder templateGeneratorBuilder)

      Constructor.
      Parameters:
        `classesOutputDirectory` - The directory where classes will be generated.
        `resourcesOutputDirectory` - The directory where the TLD file will be generated.
        `velocityEngine` - The Velocity engine.
        `templateGeneratorBuilder` - The template generator builder.

  - ### Method Detail

    - #### createTemplateGenerator

          public TemplateGenerator createTemplateGenerator()

      Description copied from interface: `TemplateGeneratorFactory`
      Creates a template generator.
      Specified by:
        `createTemplateGenerator` in interface `TemplateGeneratorFactory`
      Returns:
        The newly created template generator.

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.